Bug 104764 - Hide chart when doing data range selection
Summary: Hide chart when doing data range selection
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart-Wizard
  Show dependency treegraph
 
Reported: 2016-12-18 20:28 UTC by Clément L.
Modified: 2021-01-09 11:15 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of step 2 with hidden wizard but dummy chart visible (115.84 KB, image/png)
2017-10-31 10:05 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Clément L. 2016-12-18 20:28:15 UTC
Description:
When inserting a chart using the wizard, an object (what will later become the chart, but is still a white and empty shape at that stage of the wizard) obstruct cell selection on part of the sheet, making it difficult to select cells under this object.

Steps to Reproduce:
1. In Calc, try to Insert > Chart…
2. Click on one of the buttons to select cells range in "Data series" or "Data range" in the wizard.

Actual Results:  
A white and empty shape is already placed on the sheet that should contain the chart later. This object is placed over a large zone of cells so that if you need to select cells under this object, you just can't do it. You can't even see them.

Expected Results:
It should be possible to see and select cells over the whole sheet. Therefore, the object should not be here at this step when using the wizard and should either be created later, or be hidden at this step.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.9; rv:53.0) Gecko/20100101 Firefox/53.0
Comment 1 superurbi 2016-12-23 13:09:14 UTC
Yes it has happened to me as well. I behaves the same in LO 5.3 beta2
Comment 2 Jacques Guilleron 2016-12-23 15:13:21 UTC
Hi Clément, superurbi,

What happens if you first select the whole Data range and 
Insert chart next
or
Select another sheet before Insert chart?

Jacques
Comment 3 QA Administrators 2017-10-30 10:54:17 UTC Comment hidden (obsolete)
Comment 4 Clément L. 2017-10-30 13:13:19 UTC
(In reply to Jacques Guilleron from comment #2)
> Hi Clément, superurbi,
> 
> What happens if you first select the whole Data range and 
> Insert chart next
> or
> Select another sheet before Insert chart?
> 
> Jacques

Sorry, I totally missed the needinfo (offtopic, but it could be wise to enable the needinfo reminder available in Bugzilla).

So, to finally answer your questions, both of what you're proposing are working.
However those are still other ways to do things and depending on the people this is, in my humble opinion, a mere workaround.
This doesn't change the fact the user shouldn't be disturbed by the chart shape to select cells later.
Comment 5 Xisco Faulí 2017-10-30 14:49:41 UTC
(In reply to Clément L. from comment #4)
> (In reply to Jacques Guilleron from comment #2)
> > Hi Clément, superurbi,
> > 
> > What happens if you first select the whole Data range and 
> > Insert chart next
> > or
> > Select another sheet before Insert chart?
> > 
> > Jacques
> 
> Sorry, I totally missed the needinfo (offtopic, but it could be wise to
> enable the needinfo reminder available in Bugzilla).
> 
> So, to finally answer your questions, both of what you're proposing are
> working.
> However those are still other ways to do things and depending on the people
> this is, in my humble opinion, a mere workaround.
> This doesn't change the fact the user shouldn't be disturbed by the chart
> shape to select cells later.

You can also insert the chart and then select the range of data using the Data Ranges dialog
Comment 6 Yousuf Philips (jay) (retired) 2017-10-30 18:25:30 UTC
When clicking the 'select data range' button in step 2 of the wizard hides the wizard dialog to not obstruct selection, so in the same way the chart should be hidden to do the same.

Heiko, Stuart: thoughts?
Comment 7 Clément L. 2017-10-30 18:30:35 UTC
(In reply to Yousuf Philips (jay) from comment #6)
> When clicking the 'select data range' button in step 2 of the wizard hides
> the wizard dialog to not obstruct selection, so in the same way the chart
> should be hidden to do the same.
> 
> Heiko, Stuart: thoughts?

Adding just to be sure: there's data range, but there's also the data series selection.
Comment 8 Heiko Tietze 2017-10-31 10:05:53 UTC
Created attachment 137399 [details]
Screenshot of step 2 with hidden wizard but dummy chart visible

It's not the wizard that bothers the OP but the chart 'preview' is annoying. We made a proposal to rework the chart wizard some time ago where the preview was integrated into the dialog. That would solve the issue.

https://user-prompt.com/libreoffice-design-session-inserting-a-chart/
Comment 9 Severo Raz 2018-03-17 12:50:28 UTC
(In reply to Heiko Tietze from comment #8)
> We made a proposal to rework the chart wizard some time ago where the
> preview was integrated into the dialog. That would solve the issue.
> 
> https://user-prompt.com/libreoffice-design-session-inserting-a-chart/

Heiko, the link seems dead, could you make it available again? I am interested in this, because I had thought that it could only be fixed pragmatically by hiding the Chart Area, but this doesn't sound bad; however, how would the scaling of the chart be dealt with? A chart with appropriate size will often be as big as the dialog or bigger.

This issue is still present in LibreOffice 6.0.2.1.0.
Comment 10 Heiko Tietze 2018-03-29 07:42:29 UTC
(In reply to Severo Raz from comment #9)
> > https://user-prompt.com/libreoffice-design-session-inserting-a-chart/
> 
> Heiko, the link seems dead, could you make it available again?

Yes, the site has been closed recently. Poked the owner and he promised to give me temporary access so that I can move the content to our new blog. Still pending, though.
Comment 11 Heiko Tietze 2018-04-05 11:28:55 UTC
"LibreOffice Design Session: Inserting a Chart" is resurrected at https://design.blog.documentfoundation.org/2015/04/16/insertchart/ (hope it hasn't become a zombie)
Comment 12 Severo Raz 2018-04-05 20:08:54 UTC
(In reply to Heiko Tietze from comment #11)
> "LibreOffice Design Session: Inserting a Chart" is resurrected at
> https://design.blog.documentfoundation.org/2015/04/16/insertchart/ (hope it
> hasn't become a zombie)

Thank you for this. This looks good and would definitely solve the problem, from my perspective; Clément L. what do you think?
Comment 13 QA Administrators 2019-04-06 02:59:45 UTC Comment hidden (obsolete)
Comment 14 Severo Raz 2019-06-01 08:33:39 UTC
I tested this bug with LO 6.2.4 and it has not been resolved.
This bug is inherited from OOo and I have set the version to match this.
Comment 15 Maris Nartiss 2021-01-09 11:15:07 UTC
I would add even more drastic proposal – to hide all charts in Calc while range selection is active (or how is called mode when wizard is minimized to a single entry line).

Version: 7.1.0.0.beta1
Build ID: 828a45a14a0b954e0e539f5a9a10ca31c81d8f53
CPU threads: 6; OS: Linux 5.10; UI render: default; VCL: kf5
Locale: lv-LV (lv_LV.UTF-8); UI: en-US
Calc: threaded